TakenAt: 2023-09-03T17:58:59Z
TakenAtLocal: 2023-09-03T18:58:59Z
TakenSrc: meta
UID: pt67v48ld89z0ere
Type: image
Title: Stage / Portsmouth / 2023
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 7
Lat: 50.811027777777774
Lng: -1.0825194444444444
Year: 2023
Month: 9
Day: 3
ISO: 250
Exposure: 1/45
FNumber: 1.78
FocalLength: 48
Quality: 4
Faces: 1
Details:
  Keywords: brown, england, festival, gladstone, place, portrait, portsmouth, stage,
    stamshaw, united-kingdom
  Software: "16.6"
  SoftwareSrc: meta
CreatedAt: 2025-11-24T05:55:20Z
UpdatedAt: 2025-11-24T09:13:45Z
